// My File Manager (MFM).
//
// Copyright 2005-2006 by Stefano Gatti.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//=====================================================================

#ifndef mfmfind_h
#define mfmfind_h

#include "mfmfind_ui_fluid.hxx"

class class_mfmfind : public class_mfmfind_fluid {

public:

  FILE *stream;
	
	char *search_path;

public:

  class_mfmfind(char *path);
  
private:

  char* convert_names (char *string);

  char* mfmfind_selected();
  void mfmfind_delete();  

  virtual void mfmfind_path_callback();		
  virtual void mfmfind_ok_callback();	
  virtual void mfmfind_exit_callback();
  virtual void mfmfind_help_callback(); 
  
  virtual void mfmfind_copy_callback();
  virtual void mfmfind_move_callback();
  virtual void mfmfind_delete_callback();
  virtual void mfmfind_editor_callback();
  virtual void mfmfind_open_with_callback();
  virtual void mfmfind_browse_selected_callback();
  virtual void mfmfind_browse_all_callback();    
  virtual void mfmfind_select_callback();
    
};

#endif
